PaidGoods

Get store settings

GET
/v1/stores/{storeId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisationId": "c9b3f279-e3b5-4204-ad99-646257417f98",  "name": "string",  "slug": "string",  "status": "setup",  "defaultCurrency": "string",  "timezone": "string",  "settings": {    "supportEmail": "user@example.com",    "description": "string",    "logoImageId": "86a226a7-e163-4371-8dc7-e424acba43e1",    "faviconImageId": "ad049a32-6295-4cf2-9a5b-5eaf1173ccc5",    "brandColor": "string",    "thankYouDefault": "string",    "cashbackBp": 0,    "cashbackCapMinor": 0,    "cashbackRefundWindowDays": 1,    "cashbackExpiryDays": 1,    "liveStatsDefault": true,    "discordUrl": "string",    "maintenanceMessage": "string",    "socials": {      "property1": "string",      "property2": "string"    },    "checkout": {      "couponField": true,      "termsRequired": true,      "termsUrl": "string",      "newsletterOptIn": true,      "requireEmailVerificationForDelivery": true,      "reservationMinutes": 5    },    "tax": {      "rateBp": 0    }  },  "url": "string",  "createdAt": "string"}